Retrieve a Mandate

Retrieves a Mandate object.

Parameters

No parameters.

Returns

Returns a Mandate object.

GET /v1/mandates/:id
curl https://api.stripe.com/v1/mandates/mandate_1RpNYL2RM7tvzuemIyhnCrab \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-H "Stripe-Version: 2025-11-17.preview"
Response
{
"id": "mandate_1RpNYL2RM7tvzuemIyhnCrab",
"object": "mandate",
"customer_acceptance": {
"accepted_at": 1753595721,
"online": {
"ip_address": "172.16.254.1",
"user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)"
},
"type": "online"
},
"livemode": false,
"multi_use": {},
"payment_method": "pm_1RpNXw2RM7tvzuem88xCOsn5",
"payment_method_details": {
"type": "us_bank_account",
"us_bank_account": {}
},
"status": "active",
"type": "multi_use"
}

List of Mandates for a PaymentMethod

Retrieves a list of Mandates for a given PaymentMethod.

Parameters

  • statusenumRequired

    The status of the mandates to retrieve. Status indicates whether or not you can use it to initiate a payment, and can have a value of active, pending, or inactive.

    Possible enum values
    active

    The mandate can be used to initiate a payment.

    inactive

    The mandate was rejected, revoked, or previously used, and may not be used to initiate future payments.

    pending

    The mandate is newly created and is not yet active or inactive.

More parameters

  • ending_beforestring

  • limitinteger

  • on_behalf_ofstringConnect only

  • starting_afterstring

Returns

A dictionary with a data property that contains an array of Mandates. Each entry in the array is a separate Mandate object. If no Mandates are available, the resulting array will be empty.

GET /v1/mandates
curl -G https://api.stripe.com/v1/mandates \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-H "Stripe-Version: 2025-11-17.preview" \
-d payment_method=pm_1RpNXw2RM7tvzuem88xCOsn5 \
-d status=active
Response
{
"object": "list",
"has_more": false,
"url": "/v1/mandates",
"data": [
{
"id": "mandate_1RpNYL2RM7tvzuemIyhnCrab",
"object": "mandate",
"customer_acceptance": {
"accepted_at": 1753595721,
"online": {
"ip_address": "172.16.254.1",
"user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)"
},
"type": "online"
},
"livemode": false,
"multi_use": {},
"payment_method": "pm_1RpNXw2RM7tvzuem88xCOsn5",
"payment_method_details": {
"type": "us_bank_account",
"us_bank_account": {}
},
"status": "active",
"type": "multi_use"
}
]
}